/*
 * timesFile.c
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#include "config.h"

#include <stdio.h>
#include <string.h>
#include <assert_pp.h>

#include <timesFile.h>

int tfMakeTimesFile(const char *name, const float values[])
{
    int retval = 0;
    FILE *file;

    require(name != NULL);
    require(strlen(name) > 0);
    require(values != NULL);

    if( (file = fopen(name, "w")) != NULL )
    {
	int lpc;

	for( lpc = 0; values[lpc] != TIMES_FILE_TERMINATOR; lpc++ )
	{
	    require(values[lpc] >= 0.0);
	    require(values[lpc] <= 150.0);
	    
	    fprintf(file, "%f\n", values[lpc]);
	}
	fclose(file);

	retval = 1;
    }
    return( retval );
}
