/*
 * StubBasicTaskQosket.hh
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file StubBasicTaskQosket.hh
 *
 * Header file for the StubBasicTaskQosket class.
 */

#ifndef _stub_basic_task_qosket_hh
#define _stub_basic_task_qosket_hh

#include "BasicTaskQosketImpl.hh"
#include "StubBasicTaskCallback.hh"

/**
 * A BasicTaskQosketImpl subclass that can be used for testing.
 */
class StubBasicTaskQosket : public BasicTaskQosketImpl
{

public:

    /**
     * Initialize the object with a callback.  This implementation completely
     * overrides the standard one and makes a StubBasicTaskCallback instead
     * of a BasicTaskCallbackImpl.
     *
     * @param orb Unused.
     */
    void initCallbacks(const CORBA::ORB_ptr &orb)
	throw (CORBA::SystemException)
    {
	Qosket::Basic::BasicTaskCallback_var btc;

	this->btq_Callback = new StubBasicTaskCallback();
	btc = this->btq_Callback->_this();
	this->myCallback = Qosket::Basic::BasicTaskCallback::
	    _duplicate(btc.in());
    };

    /**
     * The callback object created by initCallbacks.
     */
    StubBasicTaskCallback *btq_Callback;

};

#endif
